/* fraglets0.19/src/sockin.h

  header file for sockin.c, socket interface for fraglets

  Copyright (C) 2005 <Jasenko.Zivanov@stud.unibas.ch>

  This file is distributed under the terms of the GNU general Public
  License (GPL), see the file COPYING

  History:

  20050530  created by Jasenko Zivanov (Unibas)
*/


#ifndef FRAG_PROTOS_H 
#define FRAG_PROTOS_H

#include "frag.h"

extern void open_socket_to_remote_node(symbol node, char* address, int port);

extern void send_fraglet_through_socket
	(struct frag *f, struct node *origin, struct node* dest);
	
extern void init_sockets();
extern void open_local_socket(symbol node, int port);
extern void listen_on_local_sockets();
extern int get_instruction_count();

#endif
